public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/composer/
Date: Tue,  8 Jun 2021 09:14:09 +0000 (UTC)	[thread overview]
Message-ID: <1623143582.fd0434f82e15e53fb82f1ad824e1d85ca8e94fc4.whissi@gentoo> (raw)

commit:     fd0434f82e15e53fb82f1ad824e1d85ca8e94fc4
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  8 09:12:52 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 09:13:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd0434f8

dev-php/composer: bump to v2.1.2

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/composer/Manifest              |  1 +
 dev-php/composer/composer-2.1.2.ebuild | 80 ++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-php/composer/Manifest b/dev-php/composer/Manifest
index 23a1ecedf5b..c5dddfc85cf 100644
--- a/dev-php/composer/Manifest
+++ b/dev-php/composer/Manifest
@@ -2,3 +2,4 @@ DIST composer-1.10.22.tar.gz 429521 BLAKE2B da7a340b63fd2540886e0fe9252a115bffdf
 DIST composer-2.0.13.tar.gz 497819 BLAKE2B ab51556ff65b0c2822d5419bb6dde2c775c91ed210af6ab84f272db0ea823866d75090173663d517cd36163bbe04ce06f597c670fce45b595716baaf05253d8e SHA512 b16425e0553f69c23e636cc51711e2e433125ac55a29d21c66eead4b40080379449868810e9b443996e3959feae2be6ed9c9a100bc5e3f84d210654dd160887f
 DIST composer-2.0.14.tar.gz 498661 BLAKE2B 0b454ed6a00b5cab169a4ff82e9a3d7ceb0d885bd1fe8f70ed495bc28e13a93f477c24df7d9510d0611941addc894d914b6856ef823762f0aeb596fef9332526 SHA512 7eb87f8454d38a091bf97ad470c41f6d1b82bc153618312093935d2b7b5890bf3d1eba25f9bd8e46c5f8ae462729e85ea19eb03184a4484332694a6369a82917
 DIST composer-2.1.1.tar.gz 513391 BLAKE2B 9177eb7d1acfb3557dde0382e0d0b6fd367a16f4c2de30739c40a1fae396e7f188173c5ef9356c6f55922457ea52c7c3e19e9040c37e86fdb4575016aac07808 SHA512 22105ab3f831ab89cf80e247c6e6f6263f3116a24394b9367b7e7c1e1aebfdcf9bb833add4763c34c621714dd8f22c87327ccf6c8eeef113f753ba800a111a5c
+DIST composer-2.1.2.tar.gz 513790 BLAKE2B cc1c807ae4d69537541acf3ec384dbad64bf3196067c5ad016b03903e9b47460a6757c0fe692600f3042650c030b323f0a0b5ef4c3933049899843cbdc8266dc SHA512 1835daeb943af2ff58e5f5b3966b59356c14ac740689779c05fa0021174a7d0ac2a45aae7f54fade0695ca7eedf59f7ac4c9c14ae4aa1e4a5fbfb1650aae8ca9

diff --git a/dev-php/composer/composer-2.1.2.ebuild b/dev-php/composer/composer-2.1.2.ebuild
new file mode 100644
index 00000000000..a86e72a98bc
--- /dev/null
+++ b/dev-php/composer/composer-2.1.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DESCRIPTION="Dependency Manager for PHP"
+HOMEPAGE="https://github.com/composer/composer"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="dev-php/theseer-Autoload"
+
+RDEPEND="dev-lang/php:*[curl]
+	>=dev-php/ca-bundle-1.0
+	dev-php/fedora-autoloader
+	>=dev-php/jsonlint-1.4
+	>=dev-php/json-schema-5.2.10
+	>=dev-php/metadata-minifier-1.0
+	>=dev-php/phar-utils-1.0
+	>=dev-php/psr-log-1.0
+	>=dev-php/reactphp-promise-2.7
+	>=dev-php/semver-3.0
+	>=dev-php/spdx-licenses-1.2
+	>=dev-php/symfony-console-2.8.52
+	>=dev-php/symfony-filesystem-2.8.52
+	>=dev-php/symfony-finder-2.8.52
+	>=dev-php/symfony-process-2.8.52
+	>=dev-php/xdebug-handler-2"
+
+src_prepare() {
+	default
+
+	mkdir vendor || die
+
+	phpab \
+		--output vendor/autoload.php \
+		--template "${FILESDIR}"/autoload.php.tpl \
+		--basedir src \
+		src \
+		|| die
+
+	cat >> vendor/autoload.php <<EOF || die "failed to extend autoload.php"
+
+// Dependencies
+\Fedora\Autoloader\Dependencies::required([
+	'/usr/share/php/Composer/CaBundle/autoload.php',
+	'/usr/share/php/Composer/MetadataMinifier/autoload.php',
+	'/usr/share/php/Composer/Semver/autoload.php',
+	'/usr/share/php/Composer/Spdx/autoload.php',
+	'/usr/share/php/Composer/XdebugHandler/autoload.php',
+	'/usr/share/php/JsonSchema/autoload.php',
+	'/usr/share/php/Psr/Log/autoload.php',
+	'/usr/share/php/Seld/JsonLint/autoload.php',
+	'/usr/share/php/Seld/PharUtils/autoload.php',
+	'/usr/share/php/Symfony/Component/Console/autoload.php',
+	'/usr/share/php/Symfony/Component/Filesystem/autoload.php',
+	'/usr/share/php/Symfony/Component/Finder/autoload.php',
+	'/usr/share/php/Symfony/Component/Process/autoload.php',
+	'/usr/share/php/React/Promise/autoload.php'
+]);
+EOF
+}
+
+src_install() {
+	insinto "/usr/share/${PN}"
+
+	# Composer expects the LICENSE file to be there, and the
+	# easiest thing to do is to give it what it wants.
+	doins -r LICENSE res src vendor
+
+	exeinto "/usr/share/${PN}/bin"
+	doexe "bin/${PN}"
+	dosym "../share/${PN}/bin/${PN}" "/usr/bin/${PN}"
+
+	dodoc CHANGELOG.md README.md doc/*.md
+	dodoc -r doc/articles doc/faqs
+}


             reply	other threads:[~2021-06-08  9:14 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-08  9:14 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-09 17:42 [gentoo-commits] repo/gentoo:master commit in: dev-php/composer/ Mart Raudsepp
2022-04-27  7:26 Jakov Smolić
2022-04-27  6:58 Agostino Sarubbo
2021-11-14  3:58 Thomas Deutschmann
2021-11-09  0:30 Thomas Deutschmann
2021-11-01  1:25 Thomas Deutschmann
2021-10-15 14:33 Thomas Deutschmann
2021-10-15 10:22 Joonas Niilola
2021-09-22 12:16 Thomas Deutschmann
2021-08-24 13:17 Thomas Deutschmann
2021-07-23 22:41 Thomas Deutschmann
2021-06-11 12:47 Thomas Deutschmann
2021-06-04  7:33 Thomas Deutschmann
2021-05-28  8:59 Thomas Deutschmann
2021-05-10  6:58 Agostino Sarubbo
2021-05-06  6:55 Agostino Sarubbo
2021-04-27 14:41 Thomas Deutschmann
2021-04-27 14:28 Thomas Deutschmann
2021-04-27 14:28 Thomas Deutschmann
2021-04-27 14:28 Thomas Deutschmann
2021-04-05 19:56 Thomas Deutschmann
2021-03-20 10:46 Joonas Niilola
2021-03-20 10:46 Joonas Niilola
2021-03-01 18:06 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2021-02-23 22:22 Thomas Deutschmann
2021-02-01 16:50 Thomas Deutschmann
2021-02-01 16:50 Thomas Deutschmann
2020-10-19 21:10 Thomas Deutschmann
2020-09-13 23:19 Thomas Deutschmann
2020-08-06 14:34 Thomas Deutschmann
2020-07-26 18:30 Thomas Deutschmann
2020-06-29 15:09 Thomas Deutschmann
2020-06-14 23:30 Thomas Deutschmann
2020-05-19  9:49 Thomas Deutschmann
2020-04-21 11:07 Thomas Deutschmann
2020-03-19 21:55 Thomas Deutschmann
2020-03-19 21:55 Thomas Deutschmann
2020-02-14 15:15 Thomas Deutschmann
2020-01-23  1:30 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-08-17 23:37 Thomas Deutschmann
2019-08-16 14:17 Brian Evans
2019-07-18 13:01 Thomas Deutschmann
2019-03-09 21:02 Patrice Clement
2019-02-10 23:11 Patrice Clement
2018-12-22 23:17 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-05-12 20:38 Michał Górny
2018-03-20 13:26 Brian Evans
2018-02-20 19:29 Brian Evans
2018-01-23  2:32 Michael Orlitzky
2018-01-22 21:52 Patrice Clement
2017-12-03 15:06 Michael Orlitzky
2017-12-03 15:06 Michael Orlitzky
2017-11-02  1:03 Michael Orlitzky
2017-11-02  1:03 Michael Orlitzky
2017-11-02  1:03 Michael Orlitzky
2017-08-18 20:04 Michael Orlitzky
2017-08-18 20:04 Michael Orlitzky
2017-01-10 20:32 Michael Orlitzky
2017-01-10 20:32 Michael Orlitzky
2017-01-10 20:32 Michael Orlitzky
2016-12-23 18:43 Michael Orlitzky
2016-12-23 18:43 Michael Orlitzky
2016-12-18 23:18 Michael Orlitzky
2016-12-18 23:18 Michael Orlitzky
2016-12-18 23:18 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1623143582.fd0434f82e15e53fb82f1ad824e1d85ca8e94fc4.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox